### Method

# EBookContacts BookClientViewSortFields copy

since: 3.50

#### Declaration [src]

    EBookClientViewSortFields*
    e_book_client_view_sort_fields_copy (
      const EBookClientViewSortFields* src
    )

#### Description [src]

Creates a copy of the `src`. If the %src is `NULL`, the `NULL` is returned. Both the `src` and the returned array is terminated by an item, which has the field member set to `E_CONTACT_FIELD_LAST`.

Free the returned array with e_book_client_view_sort_fields_free(), when no longer needed.

Available since: 3.50

This method is not directly available to language bindings.

#### Parameters

`src`

  Type: `EBookClientViewSortFields`

  An array to copy, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `EBookClientViewSortFields`

Copy of the `src`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.